<?php

namespace App\Http\Requests\AttendanceTracking;

use App\Http\Requests\ApiFormRequest;

class ParentsInfoRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'student_id' => ['required', 'integer', 'min:1'],
        ];
    }

    protected function prepareForValidation(): void
    {
        $this->merge([
            'student_id' => $this->query('student_id'),
        ]);
    }
}
